org.apache.poi.sl.draw.binding

## Class CTColorMRU

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTColorMRU

-     public class CTColorMRU
      extends java.lang.Object

  Java class for CT_ColorMRU complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_ColorMRU">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://schemas.openxmlformats.org/drawingml/2006/main}EG_ColorChoice" maxOccurs="10" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Object>` | `egColorChoice`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTColorMRU()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `getEGColorChoice()` Gets the value of the egColorChoice property.
    `boolean` | `isSetEGColorChoice()`
    `void` | `unsetEGColorChoice()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### egColorChoice

          protected java.util.List<java.lang.Object> egColorChoice

  - ### Constructor Detail

    - #### CTColorMRU

          public CTColorMRU()

  - ### Method Detail

    - #### getEGColorChoice

          public java.util.List<java.lang.Object> getEGColorChoice()

      Gets the value of the egColorChoice property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the egColorChoice property.

      For example, to add a new item, do as follows:

              getEGColorChoice().add(newItem);

      Objects of the following type(s) are allowed in the list `CTScRgbColor` `CTSRgbColor` `CTHslColor` `CTSystemColor` `CTSchemeColor` `CTPresetColor`

    - #### isSetEGColorChoice

          public boolean isSetEGColorChoice()

    - #### unsetEGColorChoice

          public void unsetEGColorChoice()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.